SoTextureCoordinateCache(3)

NAME
SoTextureCoordinateCache - The SoTextureCoordinateCache class is used to cache generated texture coordinates.

SYNOPSIS

#include <Inventor/caches/SoTextureCoordinateCache.h>

Inherits SoCache.

  Public Member Functions
SoTextureCoordinateCache (SoState *const state)
virtual ~SoTextureCoordinateCache ()
void generate (const SbBox3f &bbox, const SbVec3f *vertices, const int numvertices)
const SbVec2f * get (void) const
int getNum (void) const

  Additional Inherited Members

Detailed Description

The SoTextureCoordinateCache class is used to cache generated texture coordinates.

Constructor & Destructor Documentation

  SoTextureCoordinateCache::SoTextureCoordinateCache (SoState *const state)
Constructor.

  SoTextureCoordinateCache::~SoTextureCoordinateCache () [virtual]
Destructor.

Member Function Documentation

  void SoTextureCoordinateCache::generate (const SbBox3f & bbox, const SbVec3f * vertices, const int numvertices)
Generates texture coordinates based on the bounding box of the geometry. This is usually called default texture coordinates in OIV.

  const SbVec2f * SoTextureCoordinateCache::get (void) const
Returns the generated texture coordinates.

  int SoTextureCoordinateCache::getNum (void) const
Returns the number of generated texture coordinates.

Author

Generated automatically by Doxygen for Coin from the source code.